Package twisted :: Package python :: Module rebuild :: Class Sensitive |
[show private | hide private]
[frames | no frames]

## Class Sensitive

A utility mixin that's sensitive to rebuilds.

This is a mixin for classes (usually those which represent collections of callbacks) to make sure that their code is up-to-date before running.

Method Summary
| ``latestVersionOf`(self, anObject)` Get the latest version of an object.
| `needRebuildUpdate(self)`
| `rebuildUpToDate(self)`

Class Variable Summary
`float` | `lastRebuild`

Method Details

### latestVersionOf(self, anObject) Get the latest version of an object. This can handle just about anything callable; instances, functions, methods, and classes.

Class Variable Details

    ### lastRebuild Type: `float` Value:
        1052417714.0465519

Generated by Epydoc 1.1 on Thu May 8 13:16:49 2003 | http://epydoc.sf.net